Suurballe< GR, LEN, TR >::SetPath< T > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
Suurballe< GR, LEN, TR >::SetPath< T > Struct Template Reference

## Detailed Description

### template<typename GR, typename LEN, typename TR>
template<typename T>
struct lemon::Suurballe< GR, LEN, TR >::SetPath< T >

Named parameter for setting `Path` type. It must conform to the Path concept and it must have an `addBack()` function.

`#include <lemon/suurballe.h>`

Inheritance diagram for Suurballe< GR, LEN, TR >::SetPath< T >:
[legend]

## Additional Inherited Members
Public Types inherited from Suurballe< GR, LEN, SetPathTraits< T > >
typedef SetPathTraits< T >::Digraph | Digraph
| The type of the digraph.
typedef SetPathTraits< T > ::LengthMap | LengthMap
| The type of the length map.
typedef SetPathTraits< T >::Length | Length
| The type of the lengths.
typedef SetPathTraits< T >::FlowMap | FlowMap
| The type of the flow map.
typedef SetPathTraits< T > ::PotentialMap | PotentialMap
| The type of the potential map.
typedef SetPathTraits< T >::Path | Path
| The type of the path structures.
typedef SetPathTraits< T > ::HeapCrossRef | HeapCrossRef
| The cross reference type used for the heap.
typedef SetPathTraits< T >::Heap | Heap
| The heap type used for internal Dijkstra computations.
typedef SetPathTraits< T > | Traits
| The traits class of the algorithm.
Public Member Functions inherited from Suurballe< GR, LEN, SetPathTraits< T > >
| Suurballe (const Digraph &graph, const LengthMap &length)
| Constructor. More...
| ~Suurballe ()
| Destructor.
Suurballe & | flowMap (FlowMap &map)
| Set the flow map. More...
Suurballe & | potentialMap (PotentialMap &map)
| Set the potential map. More...
const FlowMap & | flowMap () const
| Return a const reference to an arc map storing the found flow. More...
const PotentialMap & | potentialMap () const
| Return a const reference to a node map storing the found potentials (the dual solution). More...
Length | totalLength () const
| Return the total length of the found paths. More...
int | flow (const Arc &arc) const
| Return the flow value on the given arc. More...
Length | potential (const Node &node) const
| Return the potential of the given node. More...
int | pathNum () const
| Return the number of the found paths. More...
const Path & | path (int i) const
| Return a const reference to the specified path. More...
int | run (const Node &s, const Node &t, int k=2)
| Run the algorithm. More...
void | init (const Node &s)
| Initialize the algorithm. More...
void | fullInit (const Node &s)
| Initialize the algorithm and perform Dijkstra. More...
int | start (const Node &t, int k=2)
| Execute the algorithm. More...
int | findFlow (const Node &t, int k=2)
| Execute the algorithm to find an optimal flow. More...
void | findPaths ()
| Compute the paths from the flow. More...